<?php

App::uses('EvCaseStudiesAppModel', 'EvCaseStudies.Model');

class CaseStudyCategory extends EvCaseStudiesAppModel {

	public $actsAs = array(
		'Routable.Routable' => array(
			'alias' => 'case-study-category/:displayField',
			'config' => 'EvCaseStudies'
		),
		'MetaData.Meta'
	);

	public $displayField = 'name';

	public $hasMany = array(
		'CaseStudyCategory' => array(
			'className' => 'EvCaseStudies.CaseStudyCategory'
		)
	);

	public $validate = array(
		'name' => array(
			'notBlank' => array(
				'rule' => array('notBlank')
			),
		)
	);

	/**
	 * Query array for getting case studies
	 * Default settings are for listing
	 *
	 * @return  array
	 */
	public function listingQueryArray() {
		return array(
			'conditions' => array(
				'Category.is_active' => 1
			),
			'order' => 'Category.sequence ASC',
			'limit' => Configure::read('Category.page_limit')
		);
	}

}
